%define upstream_name    Email-Date-Format
%define upstream_version 1.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Produce RFC 2822 date strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Time::Local) >= 1.270.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a simple means for generating an RFC 2822 compliant
datetime string.  (In case you care, they're not RFC 822 dates, because they
use a four digit year, which is not allowed in RFC 822.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Email

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.8.0-2.mga10
+ Revision: 2217443
- Mageia 10 Mass Rebuild

* Mon Jan 16 2023 tv <tv> 1.8.0-1.mga9
+ Revision: 1933753
- update to 1.008

* Mon Jan 02 2023 tv <tv> 1.7.0-1.mga9
+ Revision: 1928820
- update to 1.007

* Thu Oct 27 2022 tv <tv> 1.6.0-1.mga9
+ Revision: 1899632
- update to 1.006

* Sun Mar 20 2022 umeabot <umeabot> 1.5.0-6.mga9
+ Revision: 1803434
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.5.0-5.mga8
+ Revision: 1494426
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.5.0-4.mga7
+ Revision: 1267840
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.5.0-3.mga6
+ Revision: 1026899
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.5.0-2.mga6
+ Revision: 966824
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.5.0-1.mga6
+ Revision: 846936
- update to 1.005

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-4.mga5
+ Revision: 744983
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-3.mga5
+ Revision: 684615
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-2.mga4
+ Revision: 531548
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 sander85 <sander85> 1.4.0-1.mga4
+ Revision: 463965
- update to 1.004

* Sun Aug 04 2013 sander85 <sander85> 1.3.0-1.mga4
+ Revision: 463436
- update to 1.003

* Mon Feb 04 2013 pterjan <pterjan> 1.2.0-2.mga3
+ Revision: 394556
- Fix URL
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 28527
- mageia rebuild
- imported package perl-Email-Date-Format


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 405856
- rebuild using %%perl_convert_version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.00.2-2mdv2009.0
+ Revision: 223664
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary's case

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00.2-1mdv2008.1
+ Revision: 114717
- import perl-Email-Date-Format


* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00.2-1mdv2008.1
- first mdv release
